coordinate_2d.hpp File Reference

Coordinates in a two dimensional space. More...

`#include <claw/impl/coordinate_2d.tpp>`

Go to the source code of this file.

## Classes

class | claw::math::coordinate_2d< T >
| Coordinates in a two dimensional space. More...

## Namespaces

namespace | claw
| This is the main namespace.
namespace | claw::math
| Manipulation of mathematic, geometric, etc. items.

## Functions

template<typename T>
coordinate_2d< T > | claw::math::operator- (const coordinate_2d< T > &that)
template<typename T, typename U>
coordinate_2d< T > | claw::math::operator* (U v, const coordinate_2d< T > &self)

## Detailed Description

Coordinates in a two dimensional space.

Author
  Julien Jorge

Definition in file coordinate_2d.hpp.